# FoundationClasses
TKMath
math

# math_MultipleVarFunctionWithHessian Class Reference

`#include <math_MultipleVarFunctionWithHessian.hxx>`

Inheritance diagram for math_MultipleVarFunctionWithHessian:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
virtual Standard_EXPORT Standard_Integer | NbVariables () const =0
| returns the number of variables of the function.
virtual Standard_EXPORT Standard_Boolean | Value (const math_Vector &X, Standard_Real &F)=0
| computes the values of the Functions <f> for the variable <x>. Returns True if the computation was done successfully, False otherwise.
virtual Standard_EXPORT Standard_Boolean | Gradient (const math_Vector &X, math_Vector &G)=0
| computes the gradient <g> of the functions for the variable <x>. Returns True if the computation was done successfully, False otherwise.
virtual Standard_EXPORT Standard_Boolean | Values (const math_Vector &X, Standard_Real &F, math_Vector &G)=0
| computes the value <f> and the gradient <g> of the functions for the variable <x>. Returns True if the computation was done successfully, False otherwise.
virtual Standard_EXPORT Standard_Boolean | Values (const math_Vector &X, Standard_Real &F, math_Vector &G, math_Matrix &H)=0
| computes the value <f>, the gradient <g> and the hessian <h> of the functions for the variable <x>. Returns True if the computation was done successfully, False otherwise.

## Member Function Documentation

virtual Standard_EXPORT Standard_Boolean math_MultipleVarFunctionWithHessian::Gradient | ( | const math_Vector & | X,
|  | math_Vector & | G
| ) | `[pure virtual]`

| Implements math_MultipleVarFunctionWithGradient.

virtual Standard_EXPORT Standard_Integer math_MultipleVarFunctionWithHessian::NbVariables | ( |  | ) | const`[pure virtual]`

| Implements math_MultipleVarFunctionWithGradient.

void math_MultipleVarFunctionWithHessian::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from math_MultipleVarFunctionWithGradient.

void* math_MultipleVarFunctionWithHessian::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from math_MultipleVarFunctionWithGradient.

void* math_MultipleVarFunctionWithHessian::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from math_MultipleVarFunctionWithGradient.

virtual Standard_EXPORT Standard_Boolean math_MultipleVarFunctionWithHessian::Value | ( | const math_Vector & | X,
|  | Standard_Real & | F
| ) | `[pure virtual]`

| Implements math_MultipleVarFunctionWithGradient.

virtual Standard_EXPORT Standard_Boolean math_MultipleVarFunctionWithHessian::Values | ( | const math_Vector & | X,
|  | Standard_Real & | F,
|  | math_Vector & | G,
|  | math_Matrix & | H
| ) | `[pure virtual]`

virtual Standard_EXPORT Standard_Boolean math_MultipleVarFunctionWithHessian::Values | ( | const math_Vector & | X,
|  | Standard_Real & | F,
|  | math_Vector & | G
| ) | `[pure virtual]`

| Implements math_MultipleVarFunctionWithGradient.

The documentation for this class was generated from the following file:

- math_MultipleVarFunctionWithHessian.hxx